%global momorel 1

Summary: Tracks and displays system calls associated with a running process.
Name: strace
Version: 4.5.14
Release: %{momorel}m
License: GPL
Group: Development/Debuggers
URL: http://www.liacs.nl/~wichert/strace/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 09bcd5d00ece28f8154dec11cadfce3c
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The strace program intercepts and records the system calls called and
received by a running process.  Strace can print a record of each
system call, its arguments and its return value.  Strace is useful for
diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep
%setup -q

%build
%ifarch ppc
perl -pi -e 's/CHAR/char/g' process.c
%endif
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_bindir}
%makeinstall man1dir=%{buildroot}%{_mandir}/man1

# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_bindir}/strace-graph

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYRIGHT CREDITS ChangeLog INSTALL NEWS PORTING
%doc README README-CVS README-linux TODO
%{_bindir}/strace
%{_mandir}/man1/strace.1*

%changelog
* Fri May 19 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.5.14-1m)
- update to 4.5.14

* Fri Jan  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.5.13-1m)
- version 4.5.13
- No %%NoSource

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (4.5.8-1m)
- version up

* Fri Jun  4 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.5.4-1m)
- version update to 4.5.4

* Wed Oct 29 2003 zunda <zunda at freeshell.org>
- (4.4.95-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft).

* Mon May 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.4.95-1m)
- update to 4.4.95
- stop strip
- stop NoSource

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (4.4-2k)
- ver up.

* Sun Apr 15 2001 Toru Hoshina <toru@df-usa.com>
- (4.3-4k)
- Whhhhhhhhhhy CHAR ?

* Thu Mar 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (4.2-10k)
- rebuild against glibc222 and add strace.glibc222.time.patch

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.
- merge from rawhide.

* Fri Jun  2 2000 Matt Wilson <msw@redhat.com>
- use buildinstall for FHS

* Wed May 24 2000 Jakub Jelinek <jakub@redhat.com>
- make things compile on sparc
- fix sigreturn on sparc

* Fri Mar 31 2000 Bill Nottingham <notting@redhat.com>
- fix stat64 misdef (#10485)

* Tue Mar 21 2000 Michael K. Johnson <johnsonm@redhat.com>
- added ia64 patch

* Thu Feb 17 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Kondara Adaptations.

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- version 4.2 (why are we keeping all these patches around?)

* Sat Nov 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.1 (with sparc socketcall patch).

* Fri Nov 12 1999 Jakub Jelinek <jakub@redhat.com>
- fix socketcall on sparc.

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- fix KERN_SECURELVL compile problem

* Tue Aug 31 1999 Cristian Gafton <gafton@redhat.com>
- added alpha patch from HJLu to fix the osf_sigprocmask interpretation

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.99.1.

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- add (the other :-) jj's sparc patch.

* Wed May 26 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.99 in order to
-    add new 2.2.x open flags (#2955).
-    add new 2.2.x syscalls (#2866).
- strace 3.1 patches carried along for now.

* Sun May 16 1999 Jeff Johnson <jbj@redhat.com>
- don't rely on (broken!) rpm %patch (#2735)

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- vfork est arrive!

* Tue Feb  9 1999 Christopher Blizzard <blizzard@redhat.com>
- Add patch to follow clone() syscalls, too.

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch to build alpha/sparc with glibc 2.1.

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- fix typo (printf, not tprintf).

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix compile problem on sparc.

* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added the umoven patch from James Youngman <jay@gnu.org>
- fixed build problems on newer glibc releases

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
